Subject: Re: linux-next: Tree for Feb 19 (gpu/drm/pl111/)

From: Thierry Reding <[email-masked]>
Date: Tue, 20 Feb 2018 11:07:55 +0100

On Mon, Feb 19, 2018 at 10:30:06AM -0800, Randy Dunlap wrote:
> [add Eric + dri-devel]
> 
> On 02/19/18 09:26, Randy Dunlap wrote:
> > On 02/18/18 18:14, Stephen Rothwell wrote:
> >> Hi all,
> >>
> >> Changes since 20180216:
> >>
> >> The nand tree gained a conflict against Linus' tree.
> >>
> >> The drm tree gained conflicts against Linus' tree.
> > 
> > on i386 (randconfig):
> > 
> > warning: (DRM_PL111) selects DRM_DUMB_VGA_DAC which has unmet direct dependencies (HAS_IOMEM && DRM && DRM_BRIDGE && OF)

I think this is caused by the fact that DRM_PL111 has || COMPILE_TEST in
the architecture dependencies, which causes it to be unavailable on
systems other than ARM and ARM64 where OF may not be implied. Then the
DRM_PL111 selects DRM_DUMB_VGA_DAC that has a dependency on OF.

I think the best solution would be to remove the select DRM_DUMB_VGA_DAC
from DRM_PL111. Also see the warning against selecting visible symbols
in Documentation/kbuild/kconfig-language.txt (line 127).

> > and then
> > 
> > ../drivers/gpu/drm/bridge/dumb-vga-dac.c: In function 'dumb_vga_probe':
> > ../drivers/gpu/drm/bridge/dumb-vga-dac.c:207:13: error: 'struct drm_bridge' has no member named 'of_node'
> >   vga->bridge.of_node = pdev->dev.of_node;
> >              ^

Irrespective of the above, I don't think it's very useful to have
of_node conditionally included in this structure. This used to be the
case for struct gpio_chip (and others) and used to cause lots of such
build failures because people tend not to build-test OF vs. !OF

Thierry
_______________________________________________
dri-devel mailing list
[email-masked]
https://lists.freedesktop.org/mailman/listinfo/dri-devel